package cn.superdesk.uniorder.dao.mapper.invoice.common;

import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoice;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoiceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceTypeModeConfigSzhtxxPaperInvoiceMapper {
    long countByExample(InvoiceTypeModeConfigSzhtxxPaperInvoiceExample example);

    int deleteByExample(InvoiceTypeModeConfigSzhtxxPaperInvoiceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceTypeModeConfigSzhtxxPaperInvoice record);

    int insertSelective(InvoiceTypeModeConfigSzhtxxPaperInvoice record);

    List<InvoiceTypeModeConfigSzhtxxPaperInvoice> selectByExample(InvoiceTypeModeConfigSzhtxxPaperInvoiceExample example);

    InvoiceTypeModeConfigSzhtxxPaperInvoice selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceTypeModeConfigSzhtxxPaperInvoice record, @Param("example") InvoiceTypeModeConfigSzhtxxPaperInvoiceExample example);

    int updateByExample(@Param("record") InvoiceTypeModeConfigSzhtxxPaperInvoice record, @Param("example") InvoiceTypeModeConfigSzhtxxPaperInvoiceExample example);

    int updateByPrimaryKeySelective(InvoiceTypeModeConfigSzhtxxPaperInvoice record);

    int updateByPrimaryKey(InvoiceTypeModeConfigSzhtxxPaperInvoice record);
}